CD(1)

NAME
cd - change working directory

SYNOPSIS
cd [ directory ]

DESCRIPTION
Directory becomes the new working directory. The process must have execute (search) permission in directory.

If directory is omitted the value of the $HOME environment variable (sh(1)) or login directory (~) (csh(1)) is used.

Because a new process is created to execute each command, cd would be ineffective if it were written as a normal command. It is therefore recognized and executed by the shells.

In both csh(1) and sh(1) you may specify a list of directories in which directory is to be sought as a subdirectory if it does not begin with /, . , or .. In csh(1) this list is stored in the cdpath variable (see the man page csh(1)) and if the directory is found in the list a pushd operation is performed. In sh(1) the variable $CDPATH is used (see sh(1)).

SEE ALSO
csh(1), sh(1), pwd(1), chdir(2)